/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.usuario_editar', {
            url: '/editar-usuario/{usuario_id:int}',
            templateUrl: 'templates/usuarios/usuario-form.html' + random,
            controller: 'UsuariosEditarCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/usuarios-controllers.js' + random,
                            'js/services/usuarios-services.js' + random,
                            'js/services/empleados-services.js' + random,
                            'js/services/roles-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);
